package com.ssj.framework.basic.config.bean;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
 * 
 * 类名称：Config<br>
 * 类描述：系统参数表对象<br>
 * @version v1.0
 *
 */
@Entity
@Table(name = "tb_sys_config")
public class Config extends BaseEntity {

    private static final long serialVersionUID = -1514339275931016183L;

    private String paramCode;

    private String paramVal;

    private String paramDesc;

    @Column(name = "param_code")
    public String getParamCode() {
        return paramCode;
    }
    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    @Column(name = "param_val")
    public String getParamVal() {
        return paramVal;
    }
    public void setParamVal(String paramVal) {
        this.paramVal = paramVal;
    }

    @Column(name = "param_desc")
    public String getParamDesc() {
        return paramDesc;
    }
    public void setParamDesc(String paramDesc) {
        this.paramDesc = paramDesc;
    }
}
